Subject: RE: rfc2518-bis-04 issues (part 2)

From: Jason Crawford <[email-masked]>
Date: Wed, 30 Jul 2003 15:58:06 -0400

> > > Replace
> > >
> > > "However resources are free to return any URI scheme so long as it 
meets
> > > the uniqueness requirements."
> > >
> > > by
> > >
> > > "However servers are free to use any IETF-registered URI scheme so 
long
> > > as it meets the uniqueness requirements."
> > >
> > > (If it's not IETF-registered, I don't see how it can possibly meet 
the
> > > uniqueness criterium).
> >
> > I'd vote to leave the text as it is.
> 
> Again, please help me understand...:
> 
> 1) Are you suggesting that to for a scheme to be IETF-registered is not 
a
> requirement? In which case I'll argue that by definition there can't be 
any
> uniquess guarantee otherwise.
> 2) Are you suggesting that this is obvious? I which case I'll have to 
point
> out that there are well-known server implementations doing just that, so
> obviously the spec  hasn't been clear enough about that.

I think there are a lot of things a developer might do to that can result 
in
collisions, and that we don't need to outline them.